DynamicJava Javadoc: Class ImportDeclaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ImportDeclaration

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.ImportDeclaration

public class ImportDeclaration
extends Node

This class represents the import declarations

Field Summary
`static java.lang.String` | `NAME` The name property name
`static java.lang.String` | `PACKAGE` The package property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`ImportDeclaration(java.util.List ident, boolean pkg)` Creates a new import declaration node
`ImportDeclaration(java.util.List ident, boolean pkg, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new import declaration node

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.lang.String` | `getName()` Returns the name of the imported class or package
`boolean` | `isPackage()` Returns true if the identifier represents a package, false if it represents a
`void` | `setName(java.lang.String s)` Sets the package name
`void` | `setPackage(boolean b)` Sets the package property

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  The name property name

### PACKAGE

    public static final java.lang.String PACKAGE

  The package property name

Constructor Detail

### ImportDeclaration

    public ImportDeclaration(java.util.List ident,
                             boolean pkg)

  Creates a new import declaration node
  Parameters:
    `ident` - a list of tokens that represents a package or a class name
    `pkg` - true if this declaration imports a package
  Throws:
    `java.lang.IllegalArgumentException` - if ident is null

### ImportDeclaration

    public ImportDeclaration(java.util.List ident,
                             boolean pkg,
                             java.lang.String fn,
                             int bl,
                             int bc,
                             int el,
                             int ec)

  Creates a new import declaration node
  Parameters:
    `ident` - a list of tokens that represents a package or a class name
    `pkg` - true if this declaration imports a package
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if ident is null

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the imported class or package

### setName

    public void setName(java.lang.String s)

  Sets the package name
  Throws:
    `java.lang.IllegalArgumentException` - if s is null

### isPackage

    public boolean isPackage()

  Returns true if the identifier represents a package, false if it represents a

### setPackage

    public void setPackage(boolean b)

  Sets the package property

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.